<template>
    <lightning-card
        title="Patient Search"
        icon-name="custom:custom57"
    >
    <div class="slds-m-around_medium">
    <!-- Toggle visibility of a content block when clicked -->
    <lightning-button label={toggleButtonLabel} title="Toggle content action" icon-name={toggleIconName}
                        onclick={handleToggleClick}>
    </lightning-button>
    </div>
    <div class="slds-m-vertical_large slds-m-around_medium lgc-id_content-toggle">
        
        <p>If the patient is not listed below, search for the patient by entering First Name and Last Name and/or an MRN. If no record is found, select Next to register the patient.<br>
        <br>
        We are glad that you called us today. I will need some information to register you in our system. This will take a few minutes. Do you have time to do that now?</p>

    </div>
        <div class="slds-var-m-around_medium">
            <lightning-input
                type="search"
                data-id="iniField"
                onchange={handleKeyChange}
                class="slds-show slds-is-relative slds-var-m-bottom_small"
                label="Incoming Phone Number"
                value={ini}
            ></lightning-input>
            <lightning-input
                type="search"
                data-id="dobField"
                onchange={handleKeyChange}
                class="slds-show slds-is-relative slds-var-m-bottom_small"
                label="Date of Birth"
                value={dob}
                required
            ></lightning-input>
            <lightning-input
                type="search"
                data-id="searchField"
                onchange={handleKeyChange}
                class="slds-show slds-is-relative slds-var-m-bottom_small"
                label="Search on Name (First Last)"
                value=""
            ></lightning-input>
            <lightning-layout horizontal-align="left" vertical-align="end">
                <div class="slds-var-m-top_large slds-var-p-right_medium">
                    <lightning-layout-item size="4">
                        <lightning-input
                        class="slds-show slds-is-relative slds-var-m-bottom_small"
                        type="search"
                        data-id="mrnField"
                        onchange={handleKeyChange}
                        label="Search on MRN"
                        value=""
                    ></lightning-input>
                    </lightning-layout-item>
                </div>
               
                <lightning-layout-item size="4">
                    <div class="slds-p-bottom_small">
                        <lightning-button-icon 
                        class="slds-m-left_xx-small"
                        variant="brand" 
                        icon-name="utility:search" 
                        alternative-text="Search" 
                        title="Search" 
                        onclick={handleSearch}
                        ></lightning-button-icon>
                        </div>
                </lightning-layout-item>
            </lightning-layout>

            <template if:true={accounts}>
                <template for:each={accounts} for:item="a" class="slds-list_horizontal">
                    <c-new-record-tile
                        class="slds-show slds-is-relative border slds-list_horizontal"
                        key={a.Id}
						record={a}
						onfoundrecord={handleFoundRecord}
                    ></c-new-record-tile>
                </template>
            </template>
            <!-- <template if:true={cases}>
                <template for:each={cases} for:item="c" class="slds-list_horizontal">
                    <c-case-tile
                        class="slds-show slds-is-relative border slds-list_horizontal"
                        key={c.Id}
						record={c}
						onfoundrecord={handleFoundRecord}
                    ></c-case-tile>
                </template>
            </template> -->
            <template if:true={noRows}>
                <lightning-card  title="No Patients Found">
                    <p class="slds-p-horizontal_small">Adjust Search Criteria and Search Again</p>
                    <p slot="footer">No Results</p>
                </lightning-card>
            </template>
        </div>
	</lightning-card>
</template>